## hdf5 1.8.12

=== debian/changelog ===
hdf5 (1.8.12-7) unstable; urgency=medium

  * control: libhdf5-dev: reintroduce Provides+Breaks+Replaces
    libhdf5-serial-dev. This was preventing the transition to testing
    from libhdf5-serial-dev 1.8.11-5.

 -- Gilles Filippini <pini@debian.org>  Mon, 13 Jan 2014 11:31:15 +0100

hdf5 (1.8.12-6) unstable; urgency=medium

  * Upload to unstable. 

 -- Gilles Filippini <pini@debian.org>  Fri, 10 Jan 2014 19:35:03 +0100

hdf5 (1.8.12-5) experimental; urgency=medium

  * Fix missing Breaks+Replaces relation for libhdf5-cpp-7
    (closes: #734781).
  * Bump Standards-Version to 3.9.5 (no changes).

  * rules: drop unneeded compilation and link flags which are automatically
    set by mpicc.

 -- Gilles Filippini <pini@debian.org>  Thu, 09 Jan 2014 22:35:58 +0100

hdf5 (1.8.12-4) experimental; urgency=medium

  * Fix a missed s/mpich2/mpich/g. 
  * Remove Pre-Depends for dummy transitional packages.
  * Use dh_autoreconf{,_clean} to ease autotools files patching.
  * Refresh patch soname.diff accordingly.
  * Improve the template based mechanism for debhelper files.

 -- Gilles Filippini <pini@debian.org>  Tue, 07 Jan 2014 14:20:16 +0100

hdf5 (1.8.12-3) experimental; urgency=medium

  * debian/rules:
    + Simplify DEFAULT_MPI retrieval
    + Simplify build_openmpi detection depending on arch
    + Enable arch arm64 for openmpi to be consistent with debian/control
  * mpich2 to mpich transition (closes: #733046):
    - s/mpich2/mpich/g
    - libhdf5-mpich2-* transition packages
  * Introduce pkg-config files for the -dev packages
    (closes: #721202, #732202).
  * Install /usr/bin/h5p{c,f}c with mpi-dev packages
    (closes: #648537).

 -- Gilles Filippini <pini@debian.org>  Sat, 04 Jan 2014 19:55:21 +0100

hdf5 (1.8.12-2) experimental; urgency=low

  * Re-enable openmpi for arm64 (from 1.8.11-5ubuntu2).
  * Add myself to Uploaders.

 -- Gilles Filippini <pini@debian.org>  Sun, 22 Dec 2013 15:42:36 +0100

hdf5 (1.8.12-1) experimental; urgency=low

  * Team Upload (closes: #730492)

  * New upstream release.
    + New configure / cmake option to specify the location of a default
      plugin
    + The h5repack utility was updated to use plugin filters
    + The following options were added to h5dump:
      - The "-N" or "--any_path" option searches the file for paths that
        match the search path.
      - The "-A 0" option excludes the display of attributes.
    + Several changes were made to the C++ APIs. Some wrappers and
      overloaded convenience functions were added, as well as a new
      class, H5::H5Location.

  * Drop patches (fixed upstream):
    + ftbfs-ia64.diff
    + 0001-Fix-long-double-detection.patch
  * Refresh patches and add missing description:
    + path_max.diff
    + relax-version-check.patch
    + skip_cxx_inclusion.diff
    + soname.diff
    + ullong_force.diff
  * Apply ubuntu patch from 1.8.11-5ubuntu1 (Colin Watson):
    - Disable openmpi on arm64.
    - Use the autotools-dev dh addon to update config.guess/config.sub for
      arm64.
  * soname:
    - Rework patch soname.diff to act on LT_VERS_AGE instead of
      LT_VERS_INTERFACE
  * Symbol files:
    - New helper script debian/sort-symbols to unmangle and sort C++ symbols.
      See debian/README.source.

  * Bring back the c++ libs to a separate package (thanks to Julien Cristau).

 -- Gilles Filippini <pini@debian.org>  Sun, 15 Dec 2013 11:46:03 +0100
