=== debian/control ===
Source: hdf5
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>,
 Gilles Filippini <pini@debian.org>
Build-Depends: dpkg-dev (>= 1.16.1~), libmpich-dev, zlib1g-dev,
 libopenmpi-dev [!hppa !mips !mipsel !s390 !s390x !sh4 !m68k], libjpeg-dev, debhelper (>= 9~), sed (>=4.1.5),
 gfortran, libibverbs-dev [!arm64 !arm !hppa !mips !mipsel !s390 !s390x !kfreebsd-i386 !kfreebsd-amd64 !hurd-i386 !sh4],
 sharutils, mpi-default-dev, chrpath, autotools-dev, automake, dh-autoreconf
Standards-Version: 3.9.5
Homepage: http://hdfgroup.org/HDF5/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/hdf5.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/hdf5.git

Package: libhdf5-7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libhdf5-7
Provides: libhdf5-7
Multi-Arch: same
Description: Hierarchical Data Format 5 (HDF5) - runtime files - serial version
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains runtime files for serial platforms.

Package: libhdf5-7-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libhdf5-7 (= ${binary:Version})
Conflicts: libhdf5-mpich-7-dbg, libhdf5-openmpi-7-dbg
Multi-Arch: same
Description: Hierarchical Data Format 5 (HDF5) - Debug package
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains debug libraries.

Package: libhdf5-cpp-7
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libhdf5-7 (= ${binary:Version}),
Replaces: libhdf5-7 (<< 1.8.12~)
Breaks: libhdf5-7 (<< 1.8.12~)
Multi-Arch: same
Description: Hierarchical Data Format 5 (HDF5) - C++ libraries
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains C++ libraries.

Package: libhdf5-cpp-7-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libhdf5-cpp-7 (= ${binary:Version}), libhdf5-7-dbg (= ${binary:Version})
Multi-Arch: same
Description: Hierarchical Data Format 5 (HDF5) - C++ Debug package
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains debug symbols for C++ libraries.

Package: libhdf5-dev
Section: libdevel
Architecture: any
Depends: libhdf5-7 (= ${binary:Version}), zlib1g-dev, libjpeg-dev,
 ${misc:Depends}, hdf5-helpers, libhdf5-cpp-7 (= ${binary:Version})
Suggests: libhdf5-doc
Provides: libhdf5-serial-dev
Replaces: libhdf5-serial-dev (<< 1.8.8-2)
Breaks: libhdf5-serial-dev (<< 1.8.8-2)
Description: Hierarchical Data Format 5 (HDF5) - development files - serial version
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains development files for serial platforms.

Package: libhdf5-openmpi-7
Section: libs
Priority: extra
Architecture: alpha arm64 armel armhf amd64 i386 ia64 powerpc powerpcspe ppc64 sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libhdf5-7
Provides: libhdf5-7
Multi-Arch: same
Description: Hierarchical Data Format 5 (HDF5) - runtime files - OpenMPI version
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains runtime files for use with OpenMPI.

Package: libhdf5-openmpi-dev
Section: libdevel
Priority: extra
Architecture: alpha arm64 armel armhf amd64 i386 ia64 powerpc powerpcspe ppc64 sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386
Depends: libhdf5-openmpi-7 (= ${binary:Version}), zlib1g-dev,
 libjpeg-dev, libopenmpi-dev, ${misc:Depends}, hdf5-helpers
Conflicts: libhdf5-dev
Provides: libhdf5-dev
Suggests: libhdf5-doc
Description: Hierarchical Data Format 5 (HDF5) - development files - OpenMPI version
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains development files for use with OpenMPI.

Package: libhdf5-openmpi-7-dbg
Section: debug
Priority: extra
Architecture: alpha arm64 armel armhf amd64 i386 ia64 powerpc powerpcspe ppc64 sparc kfreebsd-i386 kfreebsd-amd64 hurd-i386
Depends: ${shlibs:Depends}, ${misc:Depends},
 libhdf5-openmpi-7 (= ${binary:Version}),
Conflicts: libhdf5-7-dbg, libhdf5-mpich-7-dbg
Multi-Arch: same
Description: Hierarchical Data Format 5 (HDF5) - OpenMPI Debug package
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains debug hdf5/openmpi libraries.

Package: libhdf5-mpich-7
Section: libs
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: libhdf5-7
Provides: libhdf5-7, libhdf5-mpich2-7
Replaces: libhdf5-mpich2-7 (<< 1.8.12-2~)
Breaks: libhdf5-mpich2-7 (<< 1.8.12-2~)
Multi-Arch: same
Description: Hierarchical Data Format 5 (HDF5) - runtime files - MPICH2 version
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains runtime files for use with MPICH2. Warning: the
 C++ interface is not provided for this version.

Package: libhdf5-mpich2-7
Section: oldlibs
Priority: extra
Architecture: any
Depends: libhdf5-mpich-7
Multi-Arch: same
Description: Hierarchical Data Format 5 (HDF5) - runtime files - MPICH version
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 Transitional dummy package for libhdf5-mpich-7.

Package: libhdf5-mpich-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libhdf5-mpich-7 (= ${binary:Version}), zlib1g-dev,
 libjpeg-dev, libmpich-dev, ${misc:Depends}, hdf5-helpers
Conflicts: libhdf5-dev
Provides: libhdf5-dev, libhdf5-mpich2-dev
Replaces: libhdf5-mpich2-dev (<< 1.8.12-2~)
Breaks: libhdf5-mpich2-dev (<< 1.8.12-2~)
Suggests: libhdf5-doc
Description: Hierarchical Data Format 5 (HDF5) - development files - MPICH version
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains development files for use with MPICH2. Warning:
 the C++ interface is not provided for this version.

Package: libhdf5-mpich2-dev
Section: oldlibs
Priority: extra
Architecture: any
Depends: libhdf5-mpich-dev
Description: Hierarchical Data Format 5 (HDF5) - development files - MPICH version
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 Transitional dummy package for libhdf5-mpich-dev.

Package: libhdf5-mpich-7-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 libhdf5-mpich-7 (= ${binary:Version}),
Conflicts: libhdf5-openmpi-7-dbg, libhdf5-7-dbg
Provides: libhdf5-mpich2-7-dbg
Replaces: libhdf5-mpich2-7-dbg (<< 1.8.12-2~)
Breaks: libhdf5-mpich2-7-dbg (<< 1.8.12-2~)
Multi-Arch: same
Description: Hierarchical Data Format 5 (HDF5) - Mpich Debug package
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains debug hdf5/mpich libraries.

Package: libhdf5-mpich2-7-dbg
Section: oldlibs
Priority: extra
Architecture: any
Depends: libhdf5-mpich-7-dbg
Multi-Arch: same
Description: Hierarchical Data Format 5 (HDF5) - Mpich Debug package
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 Transitional dummy package for libhdf5-mpich-7-dbg.

Package: libhdf5-mpi-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: ${hdf5-mpi-dev}, mpi-default-dev, ${misc:Depends}
Description: Hierarchical Data Format 5 (HDF5) - development files - default MPI version
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package depends on the default MPI version of HDF5 for each platform.

Package: libhdf5-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libhdf5-dev, www-browser, pdf-viewer, doc-base
Description: Hierarchical Data Format 5 (HDF5) - Documentation
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains documentation for HDF5.

Package: hdf5-helpers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hierarchical Data Format 5 (HDF5) - Helper tools
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains helper tools for HDF5.

Package: hdf5-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Hierarchical Data Format 5 (HDF5) - Runtime tools
 HDF5 is a file format and library for storing scientific data.
 HDF5 was designed and implemented to address the deficiencies of
 HDF4.x. It has a more powerful and flexible data model, supports
 files larger than 2 GB, and supports parallel I/O.
 .
 This package contains runtime tools for HDF5.
